<template>
    <div class="w-2/4 xl:m-auto lg:m-auto items-center h-full flex justify-center xl:ml-0 lg:ml-0 mobile:ml-[15%] xl:pt-0 lg:pt-0 mobile:pt-8">
      <div class='carousel relative w-full flex justify-center xl:max-w-[500px] lg:max-w-[500px] xl:-mt-[45%] lg:-mt-[55%] mobile:-mt-[60%]'>
        <div class='carousel__item flex items-center absolute xl:w-[60%] lg:w-[50%] mobile:w-[55%] opacity-0 will-change-[opacity,transform] px-0 py-3'>
          <img src="https://i.ibb.co/pn2jDbG/NFT1.jpg" alt="" class="xl:h-80 lg:h-64 mobile:h-32 rounded-[90px] m-auto"/>
        </div>
        <div class='carousel__item flex items-center absolute xl:w-[60%] lg:w-[50%] mobile:w-[55%] opacity-0 will-change-[opacity,transform] px-0 py-3'>
          <img src="https://i.ibb.co/1nsVLsf/NFT2.jpg" alt="" class="xl:h-80 lg:h-64 mobile:h-32 rounded-[90px] m-auto"/>
        </div>
        <div class='carousel__item flex items-center absolute xl:w-[60%] lg:w-[50%] mobile:w-[55%] opacity-0 will-change-[opacity,transform] px-0 py-3'>
          <img src="https://i.ibb.co/9hGQrKk/NFT3.jpg" alt="" class="xl:h-80 lg:h-64 mobile:h-32 rounded-[90px] m-auto"/>
        </div>
        <div class='carousel__item flex items-center absolute xl:w-[60%] lg:w-[50%] mobile:w-[55%] opacity-0 will-change-[opacity,transform] px-0 py-3'>
          <img src="https://i.ibb.co/NSmsvCW/NFT4.jpg" alt="" class="xl:h-80 lg:h-64 mobile:h-32 rounded-[90px] m-auto"/>
        </div>
        <div class='carousel__item flex items-center absolute xl:w-[60%] lg:w-[50%] mobile:w-[55%] opacity-0 will-change-[opacity,transform] px-0 py-3'>
          <img src="https://i.ibb.co/mJ3jz5x/NFT5.jpg" alt="" class="xl:h-80 lg:h-64 mobile:h-32 rounded-[90px] m-auto"/>
        </div>
      </div>
    </div>
  </template>   
  
  <style scoped>
  *, *::before, *::after {
    box-sizing: border-box;
  }
  
  .carousel__item {
    -webkit-animation: carousel-animate-vertical 15s linear infinite;
            animation: carousel-animate-vertical 15s linear infinite;
  }
  
  .carousel__item:nth-child(1) {
    -webkit-animation-delay: calc(3s * -1);
            animation-delay: calc(3s * -1);
  }
  
  .carousel__item:nth-child(2) {
    -webkit-animation-delay: calc(3s * 0);
            animation-delay: calc(3s * 0);
  }
  
  .carousel__item:nth-child(3) {
    -webkit-animation-delay: calc(3s * 1);
            animation-delay: calc(3s * 1);
  }
  
  .carousel__item:nth-child(4) {
    -webkit-animation-delay: calc(3s * 2);
            animation-delay: calc(3s * 2);
  }
  
  .carousel__item:last-child {
    -webkit-animation-delay: calc(-3s * 2);
            animation-delay: calc(-3s * 2);
  }
  
  @-webkit-keyframes carousel-animate-vertical {
    0% {
      transform: translateX(100%) scale(0.8);
      opacity: 0;
      visibility: hidden;
      z-index: 10;
    }
    3%, 20% {
      transform: translateX(100%) scale(0.8);
      opacity: 0.7;
      visibility: visible;
      z-index: 40;
    }
    23%, 40% {
      transform: translateX(62%) scale(0.95);
      opacity: 0.7;
      visibility: visible;
      z-index: 70;
    }
    43%, 60% {
      transform: translateX(0) scale(1);
      opacity: 1;
      visibility: visible;
      z-index: 100;
    }
    63%, 80% {
      transform: translateX(-62%) scale(0.95);
      opacity: 0.7;
      visibility: visible;
      z-index: 70;
    }
    83% {
      transform: translateX(-100%) scale(0.8);
      opacity: 0.4;
      visibility: visible;
      z-index: 40;
    }
    100% {
      transform: translateX(-100%) scale(0.8);
      opacity: 0.4;
      visibility: hidden;
      z-index: 10;
    }
  }
  
  @keyframes carousel-animate-vertical {
    0% {
      transform: translateX(100%) scale(0.8);
      opacity: 0;
      visibility: hidden;
      z-index: 10;
    }
    3%, 20% {
      transform: translateX(100%) scale(0.8);
      opacity: 1;
      visibility: visible;
      z-index: 40;
    }
    23%, 40% {
      transform: translateX(62%) scale(0.95);
      opacity: 1;
      visibility: visible;
      z-index: 70;
    }
    43%, 60% {
      transform: translateX(0) scale(1);
      opacity: 1;
      visibility: visible;
      z-index: 100;
    }
    63%, 80% {
      transform: translateX(-62%) scale(0.95);
      opacity: 1;
      visibility: visible;
      z-index: 70;
    }
    83% {
      transform: translateX(-100%) scale(0.8);
      opacity: 1;
      visibility: visible;
      z-index: 40;
    }
    100% {
      transform: translateX(-100%) scale(0.8);
      opacity: 1;
      visibility: hidden;
      z-index: 10;
    }
  }
  </style>